Subject: RE: (ngtrans) Looking for NAT-PT Implementation.

From: [email-masked]
Date: Wed, 19 Dec 2001 08:25:56 -0000

SP,

Yes BTexact Technologies has a device called Ultima that we use to
understand interworking technologies.  Ultima comes in many versions but can
include a very comprehensive implementation of NAT-PT (used at IETF51 etc),
DSTM (both incoming and outgoing), tunnelling etc.

Please get in contact and we can discuss your requirements.

Regards,
Peter  

-----Original Message-----
From: S P [mailto:[email-masked]]
Sent: Thursday, December 13, 2001 10:42 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: (ngtrans) Looking for NAT-PT Implementation.

Hi,

I'm looking for a NAT-PT implementation. I believe BT
has one as described in the following, but could not
access it. I would appreciate if you could point me to
an open implementation.

Regards,
ps

NAT-PT announcement.

----------------------------------------------------------------------------
----

To: [email-masked] 
Subject: NAT-PT announcement. 
From: [email-masked] 
Date: Thu, 13 May 1999 11:54:17 +0100 
Sender: [email-masked] 

----------------------------------------------------------------------------
----

Dear 6BONE community,

I'm forwarding this announcement on behalf of the
NAT-PT development team
because I think the previous announcement did not get
through this important
list, sorry if you are receiving this twice.

NAT-PT is a v4/v6 translator developed in BT Labs
which allows transparent
bidirectional communication between IPv4 and IPv6
networks, the translator
includes a DNS ALG which ensures true transparency and
makes the major
difference between this and other translators. Please
see below for more
detailed information on NAT-PT.

We have tested the NAT-PT and we are very proud of how
it works, we firmly
believe and hope that the NAT-PT development will help
boost IPv6 deployment
and proves useful for the transition to IPv6. For this
purpose we make
available the software including the source code.

We encourage you to download NAT-PT (see below) and
try it, we welcome any
feedback, comments, bug report, etc, and you can
obtain support mailing the
NAT-PT development team at:

[email-masked]

Thanks,

Antonio Herrera
BT Laboratories
Martlesham Heath, UK.

************** NAT-PT ***************
BT have developed an implementation of NAT-PT (Network
Address Translation -
Protocol Translation) which is based on the IETF draft
specification
<draft-ietf-ngtrans-natpt-05.txt> 
http://search.ietf.org/internet-drafts/draft-ietf-ngtrans-natpt-05.txt.
NAT-PT provides a seamless 
bi-directional translation capability between IPv4 and
IPv6 networks. NAT-PT
is located on the 
boundary router between IPv4 and IPv6 and translates
all packets crossing
the boundary and where
necessary assigns a global IPv4 address to represent
an IPv6 host. DNS is a
vital
component of NAT-PT as it allows hosts to communicate
across the boundary by
knowledge 
of DNS addresses and negates the need for end hosts to
be concerned about
the 
destination host network type of IP address.

The implementation developed in BT resides on a
FreeBSD host using the Kame
IPv6 stack
for connection to the IPv6 network. We are making the
implementation
available to
promote the draft specification, which was jointly
written by BT and Lucent,
and also
the concept of NAT-PT as an IPv4/IPv6 translation
mechanism.

We have two sites from which the NAT-PT implementation
may be downloaded
from.
http://nat-pt.ipv6.bt.net is a 6bone web site.
Alternatively
http://www.labs.bt.com/technical/nat_pt/
provides the same access via the Internet. We do ask
that you identify
yourself
prior to downloading the code so that we can gauge the
level of interest and
for the
notification of code updates. If you would like to
send us comments or
report bugs
please reply to this email address

[email-masked]

__________________________________________________
Do You Yahoo!?
Check out Yahoo! Shopping and Yahoo! Auctions for all of
your unique holiday gifts! Buy at http://shopping.yahoo.com
or bid at http://auctions.yahoo.com